RIPD(8)

NAME
ripd - a RIP routing engine for use with Zebra

SYNOPSIS
ripd [ -dhrv ] [ -f config-file ] [ -i pid-file ] [ -P port-number ]

DESCRIPTION
ripd is a routing component that supports the zebra route engine. ripd supports RIPv1, RIPv2, and so forth.

OPTIONS

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/ripd.conf.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When ripd starts its process idenifier is written to pid-file. The init system uses the recorded PID to stop or restart ripd. The likely default is /var/run/ripd.pid.

-P, --vty_port port-number
    Specify the port that the ripd VTY will listen on. This defaults to 2602, as specified in /etc/services.

-r, --retain
    When the program terminates, retain routes added by ripd.

-v, --version
    Print the version and exit.

COMMANDS
router rip no router rip rip version [1|2] no rip version [1|2] network [A.B.C.D/M] no network [A.B.C.D/M] network [IFNAME] no network [IFNAME] neighbor [A.B.C.D] no neighbor [A.B.C.D] redistribute kernel redistribute kernel metric [METRIC] redistribute kernel route-map [ROUTE-MAP] no redistribute kernel redistribute static redistribute static metric [METRIC] redistribute static route-map [ROUTE-MAP] no redistribute static redistribute connected redistribute connected metric [METRIC] redistribute connected route-map [ROUTE-MAP] no redistribute connected redistribute ospf redistribute ospf metric [METRIC] redistribute ospf route-map [ROUTE-MAP] no redistribute ospf redistribute bgp redistribute bgp metric [METRIC] redistribute bgp route-map [ROUTE-MAP] no redistribute bgp route [A.B.C.D/M] no route [A.B.C.D/M] default-information originate no default-information originate default-metric [METRIC] no default-metric [METRIC] passive-interface [IFNAME] no passive-interface [IFNAME] offset-list [ACCESS-LIST] [in|out] offset-list [ACCESS-LIST] [in|out] [IFNAME] no offset-list [ACCESS-LIST] [in|out] timers basic [UPDATE-INTERVAL] [INVALID] [TIMEOUT] [GARBAGE-COLLECT] no timers basic distribute-list [ACCESS-LIST] [in|out] [IFNAME] no distribute-list [ACCESS-LIST] [in|out] [IFNAME] distribute-list prefix [PREFIX-LIST] [in|out] [IFNAME] no distribute-list prefix [PREFIX-LIST] [in|out] [IFNAME] distance [DISTANCE] no distance [DISTANCE] distance [DISTANCE] [A.B.C.D/M] no distance [DISTANCE] [A.B.C.D/M] distance [DISTANCE] [A.B.C.D/M] [ACCESS-LIST] no distance [DISTANCE] [A.B.C.D/M] [ACCESS-LIST] ip rip send version [VERSION] no ip rip send version [VERSION] ip rip receive version [VERSION] no ip rip receive version [VERSION] ip rip authentication mode [md5|text] no ip rip authentication mode [md5|text] ip rip authentication key-chain [KEY-CHAIN] no ip rip authentication key-chain [KEY-CHAIN] ip rip authentication string [STRING] no ip rip authentication string [STRING] ip spli-horizon no ip spli-horizon show ip rip show ip protocols show debugging rip debug rip debug rip events debug rip packet debug rip zebra

FILES

/usr/local/sbin/ripd
    The default location of the ripd binary.

/usr/local/etc/ripd.conf
    The default location of the ripd config file.

$(PWD)/ripd.log
    If the ripd process is config'd to output logs to a file, then you will find this file in the directory where you started ripd.

WARNING
This man page is intended as a quick reference for command line options, and for config file commands. The definitive document is the Info file zebra.

DIAGNOSTICS
The ripd process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. ripd supports many debugging options, see the Info file, or the source for details.

SEE ALSO
References to other related man pages: ripngd(8), ospfd(8), ospf6d(8), bgpd(8), zebra(8)

BUGS
ripd eats bugs for breakfast. If you have food for the maintainers try <bug-zebra@gnu.org>

AUTHOR[S]
See <www.zebra.org>, or the Info file for an accurate list of authors.